REM ************ TABLA PERSONAL, PROFESORES, CENTROS ***********

DROP TABLE PERSONAL cascade constraints; 

CREATE TABLE PERSONAL (
 COD_CENTRO   NUMBER(4) NOT NULL,
 DNI NUMBER(10),
 APELLIDOS VARCHAR2(30),
 FUNCION VARCHAR2(15),
 SALARIO NUMBER (10) 
);

INSERT INTO PERSONAL VALUES (10,1112345,'Martnez Salas, Fernando','PROFESOR', 220000);
INSERT INTO PERSONAL VALUES (10,4123005,'Bueno Zarco, Elisa','PROFESOR', 220000);
INSERT INTO PERSONAL VALUES (10,4122025,'Montes Garca, M.Pilar','PROFESOR', 220000);
INSERT INTO PERSONAL VALUES (15,1112345,'Rivera Silvestre, Ana','PROFESOR', 205000);
INSERT INTO PERSONAL VALUES (15,9800990, 'Ramos Ruiz, Luis','PROFESOR', 205000);
INSERT INTO PERSONAL VALUES (15,8660990, 'De Lucas Fdez, M.Angel','PROFESOR', 205000);
INSERT INTO PERSONAL VALUES (22,7650000, 'Ruiz Lafuente, Manuel','PROFESOR', 220000);
INSERT INTO PERSONAL VALUES (45,43526789, 'Serrano Lagua, Mara','PROFESOR', 205000);

INSERT INTO PERSONAL VALUES (10,4480099,'Ruano Cerezo, Manuel','ADMINISTRATIVO', 180000);
INSERT INTO PERSONAL VALUES (15,1002345,'Albarrn Serrano, Alicia','ADMINISTRATIVO', 180000);
INSERT INTO PERSONAL VALUES (15,7002660,'Muoz Rey, Felicia','ADMINISTRATIVO', 180000);
INSERT INTO PERSONAL VALUES (22,5502678,'Marn Marn, Pedro','ADMINISTRATIVO', 180000);

INSERT INTO PERSONAL VALUES (22,6600980, 'Peinado Gil, Elena','CONSERJE', 175000);
INSERT INTO PERSONAL VALUES (45,4163222, 'Sarro Molina, Carmen','CONSERJE', 175000);


DROP TABLE PROFESORES cascade constraints; 

CREATE TABLE PROFESORES (
 COD_CENTRO   NUMBER(4) NOT NULL,
 DNI          NUMBER(10),
 APELLIDOS VARCHAR2(30),
 ESPECIALIDAD VARCHAR2(16) 
) ;


INSERT INTO PROFESORES VALUES (10,1112345,'Martnez Salas, Fernando','INFORMTICA');
INSERT INTO PROFESORES VALUES (10,4123005,'Bueno Zarco, Elisa', 'MATEMTICAS');
INSERT INTO PROFESORES VALUES (10,4122025,'Montes Garca, M.Pilar', 'MATEMTICAS');
INSERT INTO PROFESORES VALUES (15,9800990, 'Ramos Ruiz, Luis','LENGUA');
INSERT INTO PROFESORES VALUES (15,1112345,'Rivera Silvestre, Ana','DIBUJO');
INSERT INTO PROFESORES VALUES (15,8660990, 'De Lucas Fdez, M.Angel','LENGUA');
INSERT INTO PROFESORES VALUES (22,7650000, 'Ruiz Lafuente, Manuel','MATEMTICAS');
INSERT INTO PROFESORES VALUES (45,43526789, 'Serrano Lagua, Mara','INFORMTICA');

DROP TABLE CENTROS cascade constraints; 

CREATE TABLE CENTROS (
 COD_CENTRO   NUMBER(4) NOT NULL,
 TIPO_CENTRO  CHAR(1),
 NOMBRE VARCHAR2(30),
 DIRECCION VARCHAR2(26),
 TELEFONO VARCHAR2(10),
 NUM_PLAZAS NUMBER(4)
 );


INSERT INTO CENTROS VALUES (10,'S','IES El Quijote', 'Avda. Los Molinos 25', '965-887654',538);
INSERT INTO CENTROS VALUES (15,'P','CP Los Danzantes', 'C/Las Musas s/n','985-112322',250);
INSERT INTO CENTROS VALUES (22,'S', 'IES Planeta Tierra', 'C/Mina 45','925-443400',300);
INSERT INTO CENTROS VALUES (45,'P', 'CP Manuel Hidalgo', 'C/Granada 5','926-202310',220);
INSERT INTO CENTROS VALUES (50,'S', 'IES Antoete', 'C/Los Toreros 21','989-406090',310);

commit;

REM ************ FIN ****************
